Subject: [v6ops] New draft submitted: draft-xiao-v6ops-nd-deployment-guidelines-00.txt

From: Xipengxiao <[email-masked]>
Date: Thu, 15 Jul 2021 07:57:47 +0000

Hi All,

We've submitted draft-xiao-v6ops-nd-deployment-guidelines-00.txt.  This draft reviewed known issues and solutions of ND, and proposed some guidelines for future deployments.   Your comments and feedbacks will be appreciated. Thanks.  XiPeng

Title:   Isolating Hosts in Layer-2 and Layer-3 to Simplify ND and IPv6 First-Hop Deployments

https://datatracker.ietf.org/doc/draft-xiao-v6ops-nd-deployment-guidelines/

Abstract:

   Neighbor Discovery (ND) is an integral part of IPv6 first-hop. Due

   to limitation of certain L2 media's support to ND, a number of

   issues can happen in certain scenarios. The corresponding solutions

   for these issues have also been designed. These issues and solutions

   are summarized in RFC3756, RFC6583, OPSECv27.  However, there is no

   guideline on how to avoid the issues or how to select the proper

   solutions.

   This document analyzes existing solutions and summarizes the wisdoms

   embedded in these solutions into an insight: isolating hosts in L2

   and L3 can be effective in preventing ND issues. In deployment

   scenarios where the ND issues can occur, this prevention approach

   can be more effective than deploying various solutions to solve the

   issues. Based on this insight, a set of guidelines is proposed for

   future ND deployments. These guidelines describe where and when to

   isolate hosts in L2 and L3 to prevent ND issues, and how to select

   suitable solutions for the remaining issues. This will likely

   simplify ND deployments. The impact of the guidelines to other

   components of IPv6 first-hop is also analyzed and appears small.

   Therefore, the guidelines will likely simplify the overall IPv6

   first-hop deployments.